#!/bin/bash
source /etc/profile
pgsql=$CMS_HOME/postgresql

FILE=/etc/rc.d/init.d/css

if [ -f $FILE ]
then
	$CMS_HOME/scripts/cms_destroy.sh
else
	echo "CSS service has been removed already"
fi

ulimit -n 10240
sed -i '/# End of file/i\\*     -   nofile   10240' /etc/security/limits.conf

sleep 5s

sed -i "s:DUMMY_CMS_HOME:$CMS_HOME:g" $CMS_HOME/scripts/postgresql.conf.tmpl
chmod 755 $CMS_HOME/scripts/cms_postgres_initialize.sh
$CMS_HOME/scripts/cms_postgres_initialize.sh

chmod 755 $CMS_HOME/scripts/p12_gen.sh
$CMS_HOME/scripts/p12_gen.sh

chmod 755 $CMS_HOME/scripts/cms_add_service.sh
$CMS_HOME/scripts/cms_add_service.sh

