#!/bin/bash

source /etc/profile
pgsql=$CMS_HOME/postgresql

export LD_LIBRARY_PATH="$pgsql/lib/"

status=`su postgres -c "$pgsql/bin/pg_ctl status -D $pgsql/data" | grep "PID"`
if [ "$status" ]; then
  echo "Stoping DB service..."
  su postgres -c "$pgsql/bin/pg_ctl stop -D $pgsql/data -m fast > /dev/null"
fi

while [ "$status" ]
do
  sleep 1
  status=`su postgres -c "$pgsql/bin/pg_ctl status -D $pgsql/data" | grep "PID"`
done
echo "DB service stopped"
