#!/bin/bash
# Script used to stop DHBS module

source /etc/profile
dhbs_dir=$CMS_HOME/dhbs
export PATH=$PATH:$CMS_HOME/scripts
                                    
TRIGER_FILE=$dhbs_dir/trigger
CONFIG_FILE=$dhbs_dir/dhbs.conf

touch $TRIGER_FILE

# wait to stop service. StopAmsService
sleep 5
I=1
while [ $I -le 10 ];
do 
  cnt=`ps -ef | grep java | grep DhbsProc | wc -l`
  if [ $cnt -eq 0 ]; then
	echo "Success to stop CSS service gently"
    exit
  fi
  sleep 5
  let I=I+1
done
ps -ef|grep java|grep DhbsProc|awk '{print $2}' | xargs kill -9
$CMS_HOME/scripts/cms_tomcat_stop.sh
$CMS_HOME/scripts/cms_postgres_stop.sh
echo "Force to stop CSS service"
