#!/bin/sh

if [ $# -lt 3 ];then
	exit_with_error "Usage:modHN.sh hostname gateway domain" 1
fi

ECHO=/bin/echo
CP=/bin/cp

dt=`date "+%Y%m%d%H%M%S"`
network=/etc/sysconfig/network
tgnw=/etc/sysconfig/bk-${dt}-network


hosts=/etc/hosts
tght=/etc/bk-${dt}-hosts

sysctl kernel.hostname=$1
hostname $1

${CP} -rf $network ${tgnw}
${ECHO} -e "NETWORKING=yes\nHOSTNAME=$1\nGATEWAY=$2" > $network

${CP} -rf $hosts ${tght}

${ECHO} -e "127.0.0.1\t$1\tlocalhost\t" > $hosts

${ECHO} -e "::1\tlocalhost6\t$1" >> $hosts

exit 0
