#!/bin/bash

openssl genrsa -out localhost-key.pem 1024
sleep 1s
openssl req -new -out localhost-req.csr -key localhost-key.pem  << EOF
CN
BeiJing
BeiJing
Polycom
PCTC
Content Sharing Server
admin@cms.com
polycom
polycom.com
EOF
sleep 1s
openssl x509 -req -in localhost-req.csr -out localhost-cert.pem -signkey localhost-key.pem -days 36500
sleep 1s
openssl pkcs12 -export -clcerts -in localhost-cert.pem -inkey localhost-key.pem -out localhost.p12 -password pass:polycom

chmod 755 localhost.p12
rm -f $CMS_HOME/security/cms.p12
cp localhost.p12 $CMS_HOME/security/cms.p12
rm -f localhost*
